CanvasGraphInternal::State Struct Reference

Internal: the state of a CanvasGraph. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
MWAWInputStreamPtr | m_input
| the main input
std::map< int, MWAWGraphicStyle::Gradient > | m_idToGradientMap
| the map id to gradient
std::map< int, Shape > | m_idToShapeMap
| the map id to shape

## Detailed Description

Internal: the state of a CanvasGraph.

## Constructor & Destructor Documentation

## ◆ State()

CanvasGraphInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_idToGradientMap

std::map<int, MWAWGraphicStyle::Gradient> CanvasGraphInternal::State::m_idToGradientMap

the map id to gradient

Referenced by State().

## ◆ m_idToShapeMap

std::map<int, Shape> CanvasGraphInternal::State::m_idToShapeMap

the map id to shape

Referenced by State().

## ◆ m_input

MWAWInputStreamPtr CanvasGraphInternal::State::m_input

the main input

Referenced by State().

The documentation for this struct was generated from the following file:

- CanvasGraph.cxx